# Class ArchivedPatientService

Namespace
  adas_core.Application.Services

Assembly
  adas-core.Application.dll

Provides services for managing archived patient data, implementing the IArchivedPatientService interface.

    public class ArchivedPatientService : IArchivedPatientService

Inheritance
  object
  ArchivedPatientService

Implements
  IArchivedPatientService

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This class uses an IPatientArchiveRepository to perform operations on archived patient records, following the repository pattern.

## Constructors

### ArchivedPatientService(IPatientArchiveRepository)

Provides services for managing archived patient data, implementing the IArchivedPatientService interface.

    public ArchivedPatientService(IPatientArchiveRepository archivedPatientRepository)

#### Parameters

`archivedPatientRepository` IPatientArchiveRepository

#### Remarks

This class uses an IPatientArchiveRepository to perform operations on archived patient records, following the repository pattern.

## Methods

### FindAllPatients()

Retrieves all archived patients by delegating to the archived patient repository.

    public Task<List<Patient>> FindAllPatients()

#### Returns

Task<List<Patient>>

  A task representing the asynchronous operation, containing a list of all archived Patient entities.